Bug 1922997 - [Migration]The SDN migration rollback failed.
Summary: [Migration]The SDN migration rollback failed.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.8.0
Assignee: Peng Liu
QA Contact: huirwang
URL:
Whiteboard:
Depends On:
Blocks: 1932380 1932383
TreeView+ depends on / blocked
 
Reported: 2021-02-01 09:22 UTC by huirwang
Modified: 2021-07-27 22:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1932380 (view as bug list)
Environment:
Last Closed: 2021-07-27 22:37:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2384 0 None open Bug 1922997: Connect default NIC to cluster network 2021-02-08 10:22:54 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:38:06 UTC

Description huirwang 2021-02-01 09:22:44 UTC
Description of problem:
SDN migrated to OVN successfully, but rollback failed. Rollback stucked in MCO

Version-Release number of selected component (if applicable):

4.7.0-0.nightly-2021-01-31-031653
How reproducible:
Met this issue in ipi vsphere and ipi aws.

Steps to Reproduce:
1. Firstly migrated cluster from SDN to OVN successfully.
2. Then try to rollback to SDN.
3. Then stuck in MCO

Actual results:
oc get nodes
NAME                               STATUS                        ROLES    AGE     VERSION
huirwang-0201-bqgzr-master-0       NotReady,SchedulingDisabled   master   5h17m   v1.20.0+3b90e69
huirwang-0201-bqgzr-master-1       Ready                         master   5h17m   v1.20.0+3b90e69
huirwang-0201-bqgzr-master-2       Ready                         master   5h17m   v1.20.0+3b90e69
huirwang-0201-bqgzr-worker-8wwr7   NotReady,SchedulingDisabled   worker   5h6m    v1.20.0+3b90e69
huirwang-0201-bqgzr-worker-fz52f   Ready                         worker   5h6m    v1.20.0+3b90e69

oc get pods -n openshift-machine-config-operator  -o wide 
NAME                                        READY   STATUS    RESTARTS   AGE     IP               NODE                               NOMINATED NODE   READINESS GATES
machine-config-controller-ff4cdcf8b-9b9mb   1/1     Running   0          145m    10.131.0.24      huirwang-0201-bqgzr-master-1       <none>           <none>
machine-config-daemon-4zd6s                 2/2     Running   0          4h53m   172.31.249.152   huirwang-0201-bqgzr-worker-fz52f   <none>           <none>
machine-config-daemon-c2qr2                 2/2     Running   0          5h2m    172.31.249.216   huirwang-0201-bqgzr-master-1       <none>           <none>
machine-config-daemon-c6t6w                 2/2     Running   0          4h53m   172.31.249.182   huirwang-0201-bqgzr-worker-8wwr7   <none>           <none>
machine-config-daemon-s2fx7                 2/2     Running   0          5h2m    172.31.249.108   huirwang-0201-bqgzr-master-0       <none>           <none>
machine-config-daemon-w42l5                 2/2     Running   0          5h2m    172.31.249.130   huirwang-0201-bqgzr-master-2       <none>           <none>
machine-config-operator-774d874999-g4pcc    1/1     Running   0          138m    10.128.2.2       huirwang-0201-bqgzr-master-2       <none>           <none>
machine-config-server-6dtr4                 1/1     Running   0          5h1m    172.31.249.216   huirwang-0201-bqgzr-master-1       <none>           <none>
machine-config-server-h4c7j                 1/1     Running   0          5h1m    172.31.249.130   huirwang-0201-bqgzr-master-2       <none>           <none>
machine-config-server-npmzg                 1/1     Running   0          5h1m    172.31.249.108   huirwang-0201-bqgzr-master-0       <none>           <none>


oc logs machine-config-daemon-c6t6w  -n openshift-machine-config-operator -c machine-config-daemon
Error from server: Get "https://172.31.249.182:10250/containerLogs/openshift-machine-config-operator/machine-config-daemon-c6t6w/machine-config-daemon": dial tcp 172.31.249.182:10250: i/o timeout

oc logs sdn-tc6n4 -n openshift-sdn  -c sdn
Error from server: Get "https://172.31.249.108:10250/containerLogs/openshift-sdn/sdn-tc6n4/sdn": dial tcp 172.31.249.108:10250: connect: no route to host



Expected results:


Additional info:

Comment 7 errata-xmlrpc 2021-07-27 22:37:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.